Bug 419931 (CVE-2007-5000) - CVE-2007-5000 httpd: mod_imagemap XSS
Summary: CVE-2007-5000 httpd: mod_imagemap XSS
Status: CLOSED ERRATA
Alias: CVE-2007-5000
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: public=20071211,reported=20071211,sou...
Keywords: Security
Depends On: 449336 421591 421601 421611 421621 421631 421641 421651 421661 427982 427983 427984 430775 430776 430777 430780 430781 430782 449337
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-12-11 16:04 UTC by Mark J. Cox
Modified: 2016-03-04 11:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-02-16 02:08:29 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0004 normal SHIPPED_LIVE Moderate: apache security update 2008-01-15 09:09:50 UTC
Red Hat Product Errata RHSA-2008:0005 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:17:20 UTC
Red Hat Product Errata RHSA-2008:0006 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:25:40 UTC
Red Hat Product Errata RHSA-2008:0007 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:34:00 UTC
Red Hat Product Errata RHSA-2008:0008 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:38:32 UTC
Red Hat Product Errata RHSA-2008:0009 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-21 09:36:23 UTC
Red Hat Product Errata RHSA-2008:0263 normal SHIPPED_LIVE Low: Red Hat Network Proxy Server security update 2008-05-20 14:14:27 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Comment 2 Mark J. Cox 2007-12-11 16:08:10 UTC
http://svn.apache.org/viewvc?view=rev&revision=603282

Fix CVE-2007-5000:

* modules/mappers/mod_imagemap.c (menu_header): Fix
  cross-site-scripting issue by escaping the URI, and ensure that a
  charset parameter is sent in the content-type to prevent
  autodetection by broken browsers.

Reported by: JPCERT


Comment 5 Mark J. Cox 2007-12-12 14:57:55 UTC
A flaw was found in the Apache httpd mod_imagemap module. On sites where
mod_imagemap was enabled and an imagemap file was publicly available, a
cross-site scripting attack was possible.  (CVE-2007-5000)

Comment 11 Fedora Update System 2008-02-13 14:28:36 UTC
httpd-2.2.8-1.fc8 has been submitted as an update for Fedora 8

Comment 12 Fedora Update System 2008-02-13 14:32:47 UTC
httpd-2.2.8-1.fc7 has been submitted as an update for Fedora 7

Comment 13 Fedora Update System 2008-02-16 02:08:12 UTC
httpd-2.2.8-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-02-16 02:10:54 UTC
httpd-2.2.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2010-08-04 21:33:11 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.